%define version 1.1.0
%define release alt7
%setup_python_module FloodGuard


Name: FloodGuard
Summary: FloodGuard - request rate limiting
Summary(ru_RU.KOI8-R): FloodGuard -       
Version: %{version}
Release: %{release}
Source0: %{modulename}-%{version}.tar.gz
License: ZPL
Group: Development/Python
Prefix: %{_prefix}
BuildArchitectures: noarch
Vendor: Andrey Orlov <cray@neural.ru>
Url: http://www.neural.ru


%description
This package helps in limiting rate of requests to given subset of Zope server
content.  Requests corresponding to configured patterns are tracked; patterns
include path to object (regexps allowed) and the fact of given variables
appearance in request.  Signature (path + above mentioned parameters) of
tracked request is logged (with time and IP address).

If request number per specified time exceeds the limit, further ones are
blocked by raising exception or calling given method.

%description -l ru_RU.KOI8-R
 FloodGuard      
    Zope.   , 
  ,    .
      ,    
,       .   (
+   )     
     IP-.
        , 
       
 .

%prep
%setup  -q -n %modulename-%version

%build
%__python setup.py build

%install
%__python setup.py install --root=$RPM_BUILD_ROOT --optimize=2 --record=INSTALLED_FILES \
        --install-lib=/usr/lib/zope/lib/python/Products/ --install-data=/usr/lib/zope/lib/python/Products/


%files -f INSTALLED_FILES
%doc FloodGuard/README.txt
%defattr(-,root,root)

%changelog
* Thu Jul 01 2004 Andrey Orlov <cray@altlinux.ru> 1.1.0-alt7
- REbuild with new python policy

* Thu Dec 04 2003 Andrey Orlov <cray@altlinux.ru> 1.1.0-alt6
- Rebuild with python 23

* Wed Jan 08 2003 Andrey Orlov <cray@altlinux.ru> 1.1.0-alt4
- Package requirements declarations wer enchanced 

* Tue Oct 29 2002 Andrey Orlov <cray@altlinux.ru>  1.1.0-alt3
- Rebuild for gcc3.2.1

* Wed Feb 20 2002 Uzorin Pavel <pitch@altlinux.ru> 1.0.0-alt2
- Initial CHANGELOG
